Package org.apache.qpid.proton.codec

# Class UnsignedShortType

java.lang.Object
org.apache.qpid.proton.codec.UnsignedShortType

All Implemented Interfaces:
  `AMQPType<UnsignedShort>`, `PrimitiveType<UnsignedShort>`

public class UnsignedShortType extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, UnsignedShort value)`
`Collection<org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding`
`getEncoding(UnsignedShort val)`
`Class<UnsignedShort>`
`getTypeClass()`
`final void`
`write(UnsignedShort val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<UnsignedShort> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding getEncoding(UnsignedShort val)

### fastWrite

public void fastWrite(EncoderImpl encoder, UnsignedShort value)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.UnsignedShortType.UnsignedShortEncoding> getAllEncodings()

### write

public final void write(UnsignedShort val)

Specified by:
  `write` in interface `AMQPType<T>`